Mandrake Linux Security Advisory : LPRng (MDKSA-2002:042)

High Nessus Plugin ID 13946


The remote Mandrake Linux host is missing a security update.


Matthew Caron pointed out that using the LPRng default configuration, the lpd daemon will accept job submissions from any remote host. These updated LPRng packages modify the job submission policy in /etc/lpd.perms to refuse print jobs from remote hosts by default.


Update the affected LPRng package.

Plugin Details

Severity: High

ID: 13946

File Name: mandrake_MDKSA-2002-042.nasl

Version: $Revision: 1.15 $

Type: local

Published: 2004/07/31

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:LPRng, cpe:/o:mandrakesoft:mandrake_linux:8.1, cpe:/o:mandrakesoft:mandrake_linux:8.2

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2002/07/04

Reference Information

CVE: CVE-2002-0378

MDKSA: 2002:042